Retrieve seller account health data for a channel
curl --request GET \
--url https://mm-api.merchantspring.io/sellerHealth \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/sellerHealth"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/sellerHealth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/sellerHealth",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/sellerHealth"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/sellerHealth")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/sellerHealth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"channelId": "1",
"merchantId": "A1B2C3D4E5F6G7 @ ATVPDKIKX0DER",
"marketplace": "amazon",
"marketplaceSubtype": "amazon",
"countryCode": "USA",
"metrics": {
"accountHealth": {
"accountHealthRating": {
"value": 250,
"status": "GOOD",
"target": null,
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"inactiveListingsCount": {
"value": 0,
"status": null,
"target": null,
"window": null
},
"listingIssuesCount": {
"value": 0,
"status": null,
"target": null,
"window": null
},
"returnRequestsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"suppressedListingsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"shippingPerformance": {
"lateShipmentRate": {
"value": 0.012,
"status": "GOOD",
"target": {
"value": 0.04,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 3,
"denominator": 250
},
"invoiceDefectRate": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0.05,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-10-12T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 0,
"denominator": 120
},
"onTimeDeliveryRate": {
"value": 0.952,
"status": "GOOD",
"target": {
"value": 0.9,
"condition": "GREATER_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 238,
"denominator": 250
},
"validTrackingRate": {
"value": 0.996,
"status": "GOOD",
"target": {
"value": 0.95,
"condition": "GREATER_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 249,
"denominator": 250
},
"cancellationRate": {
"value": 0.015,
"status": "GOOD",
"target": {
"value": 0.025,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-10-12T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 3,
"denominator": 200
}
},
"customerServiceFbm": {
"orderDefectRate": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0.01,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-08-20T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 0,
"denominator": 400
},
"negativeFeedbackCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"chargebacksCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"azClaimsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"customerServiceFba": {
"orderDefectRate": {
"value": 0.0025,
"status": "GOOD",
"target": {
"value": 0.01,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-08-20T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 1,
"denominator": 400
},
"negativeFeedbackCount": {
"value": 1,
"status": "GOOD",
"target": null,
"window": null
},
"chargebacksCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"azClaimsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"policyCompliance": {
"ipComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"suspectedIpViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"listingPolicyViolations": {
"value": 1,
"status": "POOR",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productAuthenticityComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productSafetyComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"foodAndProductSafetyIssues": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"restrictedProductPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"otherPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productConditionCustomerComplaints": {
"value": 2,
"status": "POOR",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productReviewPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"policyWarningsCount": {
"value": 3,
"status": null,
"target": null,
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
}
}
}
}Seller Health
Retrieve seller account health data for a channel
Returns the channel’s account health metrics. Only applicable for Amazon, eBay, Mirakl, Bol, Mercado Libre, Iconic marketplaces; other marketplaces return 400. The metrics groups and keys differ based on different marketplaces.
GET
/
sellerHealth
Retrieve seller account health data for a channel
curl --request GET \
--url https://mm-api.merchantspring.io/sellerHealth \
--header 'x-api-key: <api-key>'import requests
url = "https://mm-api.merchantspring.io/sellerHealth"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://mm-api.merchantspring.io/sellerHealth', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://mm-api.merchantspring.io/sellerHealth",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://mm-api.merchantspring.io/sellerHealth"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://mm-api.merchantspring.io/sellerHealth")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://mm-api.merchantspring.io/sellerHealth")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"channelId": "1",
"merchantId": "A1B2C3D4E5F6G7 @ ATVPDKIKX0DER",
"marketplace": "amazon",
"marketplaceSubtype": "amazon",
"countryCode": "USA",
"metrics": {
"accountHealth": {
"accountHealthRating": {
"value": 250,
"status": "GOOD",
"target": null,
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"inactiveListingsCount": {
"value": 0,
"status": null,
"target": null,
"window": null
},
"listingIssuesCount": {
"value": 0,
"status": null,
"target": null,
"window": null
},
"returnRequestsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"suppressedListingsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"shippingPerformance": {
"lateShipmentRate": {
"value": 0.012,
"status": "GOOD",
"target": {
"value": 0.04,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 3,
"denominator": 250
},
"invoiceDefectRate": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0.05,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-10-12T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 0,
"denominator": 120
},
"onTimeDeliveryRate": {
"value": 0.952,
"status": "GOOD",
"target": {
"value": 0.9,
"condition": "GREATER_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 238,
"denominator": 250
},
"validTrackingRate": {
"value": 0.996,
"status": "GOOD",
"target": {
"value": 0.95,
"condition": "GREATER_THAN"
},
"window": {
"start": "2026-09-19T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 249,
"denominator": 250
},
"cancellationRate": {
"value": 0.015,
"status": "GOOD",
"target": {
"value": 0.025,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-10-12T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 3,
"denominator": 200
}
},
"customerServiceFbm": {
"orderDefectRate": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0.01,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-08-20T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 0,
"denominator": 400
},
"negativeFeedbackCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"chargebacksCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"azClaimsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"customerServiceFba": {
"orderDefectRate": {
"value": 0.0025,
"status": "GOOD",
"target": {
"value": 0.01,
"condition": "LESS_THAN"
},
"window": {
"start": "2026-08-20T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
},
"numerator": 1,
"denominator": 400
},
"negativeFeedbackCount": {
"value": 1,
"status": "GOOD",
"target": null,
"window": null
},
"chargebacksCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
},
"azClaimsCount": {
"value": 0,
"status": "GOOD",
"target": null,
"window": null
}
},
"policyCompliance": {
"ipComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"suspectedIpViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"listingPolicyViolations": {
"value": 1,
"status": "POOR",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productAuthenticityComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productSafetyComplaints": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"foodAndProductSafetyIssues": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"restrictedProductPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"otherPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productConditionCustomerComplaints": {
"value": 2,
"status": "POOR",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"productReviewPolicyViolations": {
"value": 0,
"status": "GOOD",
"target": {
"value": 0,
"condition": "EQUALS"
},
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
},
"policyWarningsCount": {
"value": 3,
"status": null,
"target": null,
"window": {
"start": "2026-04-22T07:00:00Z",
"end": "2026-10-19T06:59:59Z"
}
}
}
}
}Query Parameters
Response
Successful operation
Was this page helpful?